summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Vetter <jubalh@iodoru.org>2018-02-14 14:43:05 +0000
committerAndreas Sturmlechner <asturm@gentoo.org>2018-02-15 14:47:06 +0100
commitd65d2755d5c5abb31a846991847046f71748cb9e (patch)
treeb3e3898b676b67e9f32fa8900b478101c4779455 /net-nntp/suck
parentnet-fs/nfs-utils: correctly move /var/lib/nfs (diff)
downloadgentoo-d65d2755d5c5abb31a846991847046f71748cb9e.tar.gz
gentoo-d65d2755d5c5abb31a846991847046f71748cb9e.tar.bz2
gentoo-d65d2755d5c5abb31a846991847046f71748cb9e.zip
net-nntp/suck: Add version 4.3.3
Closes: https://bugs.gentoo.org/232581 Closes: https://bugs.gentoo.org/622880 Package-Manager: Portage-2.3.19, Repoman-2.3.6 Closes: https://github.com/gentoo/gentoo/pull/7185
Diffstat (limited to 'net-nntp/suck')
-rw-r--r--net-nntp/suck/Manifest1
-rw-r--r--net-nntp/suck/files/4.3.3-fputs.patch25
-rw-r--r--net-nntp/suck/suck-4.3.3.ebuild61
3 files changed, 87 insertions, 0 deletions
diff --git a/net-nntp/suck/Manifest b/net-nntp/suck/Manifest
index 7b2c65808df..4cf4288161b 100644
--- a/net-nntp/suck/Manifest
+++ b/net-nntp/suck/Manifest
@@ -1 +1,2 @@
DIST suck-4.3.2.tar.gz 187560 BLAKE2B fd8e7ebb8e00f4ef060f72b12eae5001268399267914a617c3de73ed323a58cc87770a4ecf1eb5991c36a7f74f2475f3cd9076c60aec52bc8c05ae89cd0b32a4 SHA512 704559ea54daabc6ef7b205431e587a90de20d8a5648e60910e4bc1a1493eebc8a3497c308a9de34febf6b26eda13785cf9f1f5ae034ee7fb0a9230173d13d4f
+DIST suck-4.3.3.tar.gz 153624 BLAKE2B 434bdb21ba37deefcba4c0fa9ec3cdf14bc49e1295533ae3c7fb298f49819113ad05e26b3ca72e20ebdd498b0514155f8d79e7c82e95f423521586de889c2371 SHA512 629ecbd7e8d070fc9c1175be6dd10d49fe71b59b8694f32a81cc2dd5ec46e32d64463d221052922a7e21fcac1c9a330f56399bad7c64fa653d68127cd16dbfdc
diff --git a/net-nntp/suck/files/4.3.3-fputs.patch b/net-nntp/suck/files/4.3.3-fputs.patch
new file mode 100644
index 00000000000..df38f1d4316
--- /dev/null
+++ b/net-nntp/suck/files/4.3.3-fputs.patch
@@ -0,0 +1,25 @@
+From 440c3c39c51c89c0a5bc53850e9b75b142a39bd2 Mon Sep 17 00:00:00 2001
+From: Michael Vetter <jubalh@iodoru.org>
+Date: Wed, 14 Feb 2018 15:02:22 +0100
+Subject: [PATCH] Use fputs instead of fput
+
+fput() seems to be non-standard.
+See commit cb0aadd0a2f16a09bc972d648b864a1fd541e75f
+Now we have the original patch.
+---
+ lpost.c | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/lpost.c b/lpost.c
+index a2c0d29..39bb17e 100644
+--- a/lpost.c
++++ b/lpost.c
+@@ -42,7 +42,7 @@ int main(int argc,char *argv[]) {
+ }
+ }
+ else {
+- (void) fput(line, pfp);
++ (void) fputs(line, pfp);
+ }
+ } /* end while */
+ exit(retval);
diff --git a/net-nntp/suck/suck-4.3.3.ebuild b/net-nntp/suck/suck-4.3.3.ebuild
new file mode 100644
index 00000000000..684bae61e05
--- /dev/null
+++ b/net-nntp/suck/suck-4.3.3.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools
+
+DESCRIPTION="Grab news from a remote NNTP server and feed them to another"
+HOMEPAGE="https://lazarus-pkgs.github.io/lazarus-pkgs/suck.html"
+SRC_URI="https://github.com/lazarus-pkgs/suck/archive/${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="perl ssl"
+
+COMMON_DEPEND="sys-libs/gdbm:=
+ ssl? ( dev-libs/openssl:0= )"
+
+DEPEND="${COMMON_DEPEND}
+ sys-libs/db
+ perl? ( dev-lang/perl )"
+
+RDEPEND="${COMMON_DEPEND}
+ net-nntp/inn"
+
+PATCHES=( "${FILESDIR}/${PV}-fputs.patch" )
+
+src_prepare() {
+ default
+
+ # Fix paths to the locations in Gentoo
+ sed -i \
+ -e 's:/usr/bin/rnews:/usr/$(get_libdir)/news/bin/rnews:' \
+ -e 's:/var/lib/news/history:/var/spool/news/db/history:' \
+ suck_config.h || die "path adaption sed failed"
+
+ eautoreconf
+}
+
+src_configure() {
+ use ssl || sed -i -e 's/^SSL_/#SSL_/' Makefile.in || die "ssl sed failed"
+ use perl || sed -i -e 's/^PERL_/#PERL_/' Makefile.in || die "perl sed failed"
+
+ econf
+}
+
+src_compile() {
+ emake phrases.h
+ emake all lpost
+}
+
+src_install() {
+ dobin lmove lpost rpost suck testhost
+ doman man/*
+ dodoc CHANGELOG CONTENTS README*
+ docinto java
+ dodoc java/*
+ docinto perl
+ dodoc perl/*
+ docinto sample
+ dodoc sample/*
+}